package textures.mobs.rabbit;

import java.awt.image.BufferedImage;

import _texture.loader.Textures;
import utils.Utils;

public class RabbitIdleEatGroundTextures {

	public static void getTextures(BufferedImage image){
		/*** SOUTH IDLE ***/
		Textures.rabbitSheet[32] = Utils.grabSprite(image, 5, 1, 20, 20);
		Textures.rabbitSheet[33] = Utils.grabSprite(image, 6, 1, 20, 20);
		Textures.rabbitSheet[34] = Utils.grabSprite(image, 7, 1, 20, 20);
		Textures.rabbitSheet[35] = Utils.grabSprite(image, 8, 1, 20, 20);

		/*** NORTH IDLE ***/
		Textures.rabbitSheet[36] = Utils.grabSprite(image, 5, 2, 20, 20);
		Textures.rabbitSheet[37] = Utils.grabSprite(image, 6, 2, 20, 20);
		Textures.rabbitSheet[38] = Utils.grabSprite(image, 7, 2, 20, 20);
		Textures.rabbitSheet[39] = Utils.grabSprite(image, 8, 2, 20, 20);

		/*** WEST IDLE ***/
		Textures.rabbitSheet[40] = Utils.grabSprite(image,5, 3, 20, 20);
		Textures.rabbitSheet[41] = Utils.grabSprite(image,6, 3, 20, 20);
		Textures.rabbitSheet[42] = Utils.grabSprite(image,7, 3, 20, 20);
		Textures.rabbitSheet[43] = Utils.grabSprite(image,8, 3, 20, 20);

		/*** EAST IDLE ***/
		Textures.rabbitSheet[44] = Utils.reverseImage(Utils.grabSprite(image,5, 3, 20, 20));
		Textures.rabbitSheet[45] = Utils.reverseImage(Utils.grabSprite(image,6, 3, 20, 20));
		Textures.rabbitSheet[46] = Utils.reverseImage(Utils.grabSprite(image,7, 3, 20, 20));
		Textures.rabbitSheet[47] = Utils.reverseImage(Utils.grabSprite(image,8, 3, 20, 20));

		/*** NORTHWEST IDLE ***/
		Textures.rabbitSheet[48] = Utils.grabSprite(image,5, 4, 20, 20);
		Textures.rabbitSheet[49] = Utils.grabSprite(image, 6, 4, 20, 20);
		Textures.rabbitSheet[50] = Utils.grabSprite(image, 7, 4, 20, 20);
		Textures.rabbitSheet[51] = Utils.grabSprite(image, 8, 4, 20, 20);

		/*** NORTHEAST IDLE ***/
		Textures.rabbitSheet[52] = Utils.reverseImage(Utils.grabSprite(image, 5, 4, 20, 20));
		Textures.rabbitSheet[53] = Utils.reverseImage(Utils.grabSprite(image, 6, 4, 20, 20));
		Textures.rabbitSheet[54] = Utils.reverseImage(Utils.grabSprite(image, 7, 4, 20, 20));
		Textures.rabbitSheet[55] = Utils.reverseImage(Utils.grabSprite(image, 8, 4, 20, 20));

		/*** SOUTHWEST IDLE ***/
		Textures.rabbitSheet[56] = Utils.grabSprite(image, 5, 5, 20, 20);
		Textures.rabbitSheet[57] = Utils.grabSprite(image, 6, 5, 20, 20);
		Textures.rabbitSheet[58] = Utils.grabSprite(image, 7, 5, 20, 20);
		Textures.rabbitSheet[59] = Utils.grabSprite(image, 8, 5, 20, 20);

		/*** SOUTHEAST IDLE ***/
		Textures.rabbitSheet[60] = Utils.reverseImage(Utils.grabSprite(image, 5, 5, 20, 20));
		Textures.rabbitSheet[61] = Utils.reverseImage(Utils.grabSprite(image, 6, 5, 20, 20));
		Textures.rabbitSheet[62] = Utils.reverseImage(Utils.grabSprite(image, 7, 5, 20, 20));
		Textures.rabbitSheet[63] = Utils.reverseImage(Utils.grabSprite(image, 8, 5, 20, 20));
		
	}
}
